% preg2, lab8, 521230, S2-2013

for rtol = [1e-2 1e-3 1e-4 1e-5]
    % llamar a ode45 cambiando antes mediante llamado a 
    % odeset las tolerancias absoluta y relativa
    % con que se quiere calcular
    atol = rtol*1e-2;
    opciones = odeset('AbsTol',atol,'RelTol',rtol);
    % ode45
    [t,x] = ode45('func_preg2_lab8',[0 5],0,opciones);
    % error global en puntos donde ode45 calculo
    % aproximaciones a sol. exacta
    errorglobal = abs(x-t./(t.^3 + 1));
    % mayor de todos los valores anteriores
    max(errorglobal)
end

% graficar tamannos de paso en ultimo llamado a ode45
figure(1)
plot(t(1:end-1),t(2:end)-t(1:end-1));
figure(2)
plot(t,t./(t.^3 + 1));
